Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I have installed TikZ/PGF using Synaptic Package Manager. Still it contains version 2.0. Now How do I update it?

share|improve this question
6  
the synaptic package manager contains a very out of date distribution- it's best not to use it! see how-do-i-update-my-tex-distribution –  cmhughes May 27 '12 at 17:53
1  
Ubuntu 12.04 (and I think 11.10) seems to contain PGF 2.10 (on top of TL2009). –  Caramdir May 27 '12 at 17:55
1  
You can try to download a newer .deb from launchpad.net/ubuntu/+source/pgf. (There are also untrusted .debs for Lucid and Maverick at launchpad.net/~tukss/+archive/ppa/+packages). I don't know whether that will work as expected. In general I'd recommend installing TeX Live directly (see cmhughes' link). –  Caramdir May 27 '12 at 18:00
7  

1 Answer 1

Sourceforge has a .tds.zip file, which means it is a snap to install in a vanilla Ubuntu TeX Live (2009) environment. Download the file; move it to the base of your TeX tree (for me that is /usr/share/texmf-texlive/); unzip the .tds.zip file; run sudo texhash; and you're done.

Of course, to manipulate files outside of your 'home' directory, you probably need to use sudo.

Edit: In fact, as @Caramdir pointed out, Ubuntu 11.10 (and presumably 12.04) have PGF 2.10 installed independently of whatever version shipped with TeX Live 2009, which is the latest version except for those who like to live on the bleeding edge (if a CVS version can still be called the bleeding edge!).

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.